Get a subscription discount
curl --request GET \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount/{offerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount/{offerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/subscriptionDiscount/{offerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseStatus": "OK",
"message": "Request processed successfully",
"data": {
"id": "62d9196aeec12800095633f2",
"status": "ACTIVE",
"offerCode": "SUB-D45DD7",
"validity": {
"startDate": "2022-07-21T13:14:51.474Z",
"endDate": "2022-07-21T13:14:51.474Z",
"applyOnOrders": [
2,
3
]
},
"message": "Offer terms and conditions",
"discount": {
"amount": 10
},
"skus": [
"MOBO-X570"
],
"categories": [
"holiday-best-sellers"
],
"frequency": {
"shippingFrequency": 1,
"shippingFrequencyType": "daily",
"billingFrequency": 1,
"billingFrequencyType": "daily"
},
"itemQuantity": 1,
"channel": "WEBSITE",
"target": "PDP",
"customerSegment": [
"employee"
],
"isDeleted": false,
"DeletedAt": "2019-01-01T00:00:00.000Z",
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z"
}
}{
"Message": "User is not authorized to access this resource with an explicit deny"
}{
"responseStatus": "NOT_FOUND",
"message": "Not found"
}Subscription Discounts
Get a subscription discount
Get a subscription discount for a specified offer (specified by offer ID)
GET
/
v1
/
subscriptionDiscount
/
{offerId}
Get a subscription discount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Offer code
Example:
"SUB-D45DD7"
Was this page helpful?
⌘I
